Debian Bug report logs - #653975
ITA: mercator -- WorldForge terrain library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ricardo Mones <mones@debian.org>

Date: Sun, 1 Jan 2012 23:30:01 UTC

Owned by: stephen.webb@bregmasoft.ca

Severity: normal

Fixed in version mercator/0.3.0-1

Done: stephen.webb@bregmasoft.ca (Stephen M. Webb)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, konqueror@gmx.de, wnpp@debian.org:
Bug#653975; Package wnpp. (Sun, 01 Jan 2012 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to konqueror@gmx.de, wnpp@debian.org. (Sun, 01 Jan 2012 23:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: mercator -- WorldForge terrain library
Date: Mon, 2 Jan 2012 00:26:33 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of mercator, Michael Koch <konqueror@gmx.de>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: mercator
Binary: libmercator-0.2-dev, libmercator-0.2-6, libmercator-0.2-6-dbg
Version: 0.2.7-3
Maintainer: Michael Koch <konqueror@gmx.de>
Build-Depends: cdbs, debhelper (>= 5), pkg-config, libwfmath-0.3-dev (>= 0.3.5), autotools-dev, chrpath
Architecture: any
Standards-Version: 3.8.3
Format: 1.0
Files:
 51271659e2567c9295a546228b2d7859 1109 mercator_0.2.7-3.dsc
 da5bda8a9e729b0d8d40b69c4b327319 403410 mercator_0.2.7.orig.tar.gz
 c9e3c1531503efb844a7cccdccd7fbe7 3207 mercator_0.2.7-3.diff.gz
Checksums-Sha1:
 89c99dadf5b37b9fd085ffb51faf46e34202d913 1109 mercator_0.2.7-3.dsc
 cdb15b807767466d91b3811d4d4c15775df4f26d 403410 mercator_0.2.7.orig.tar.gz
 f1991801b92b4fc2915a0e58ac9588feac1e76d1 3207 mercator_0.2.7-3.diff.gz
Checksums-Sha256:
 93e8f9d83cc8f7bb5a1ebf1329bb94768e8d04dcc2d76730003b15ce0af97768 1109 mercator_0.2.7-3.dsc
 8d4b81c3edd60a287d6634a20500c81ca82f260c7008ebfc021400a1337556d2 403410 mercator_0.2.7.orig.tar.gz
 69b2dc0ee8d11c0e096990f3be2c58369f199c5697e0d8306227bd5012749c97 3207 mercator_0.2.7-3.diff.gz
Homepage: http://www.worldforge.org/
Directory: pool/main/m/mercator
Priority: source
Section: libs

Package: libmercator-0.2-6
Source: mercator
Version: 0.2.7-3
Installed-Size: 256
Maintainer: Michael Koch <konqueror@gmx.de>
Architecture: amd64
Replaces: libmercator-0.2-4
Depends: libc6 (>= 2.2.5), libgcc1 (>= 1:4.1.1), libstdc++6 (>= 4.2.1), libwfmath-0.3-4
Conflicts: libmercator-0.2-4
Description: WorldForge terrain library
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.
Homepage: http://www.worldforge.org/
Tag: role::shared-lib
Section: libs
Priority: optional
Filename: pool/main/m/mercator/libmercator-0.2-6_0.2.7-3_amd64.deb
Size: 82188
MD5sum: e6ecd8a6b6b0cad0ded5b28f350b50a1
SHA1: 000a55c5491f4286ac15248190187d4adf379fcf
SHA256: 19f5e2f5a2e61a6af4c25dc46c0a1e8cb289bf529e262293bab8693d72959b85

Package: libmercator-0.2-6-dbg
Source: mercator
Version: 0.2.7-3
Installed-Size: 1820
Maintainer: Michael Koch <konqueror@gmx.de>
Architecture: amd64
Depends: libmercator-0.2-6 (= 0.2.7-3)
Description: WorldForge terrain library - debugging symbols
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge (http://www.worldforge.org) core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.
Homepage: http://www.worldforge.org/
Tag: role::debug-symbols
Section: debug
Priority: extra
Filename: pool/main/m/mercator/libmercator-0.2-6-dbg_0.2.7-3_amd64.deb
Size: 571616
MD5sum: 37605af5772e19860d69535361c14b75
SHA1: c5c638c2fcefbf6c2acce8e3d79ee085237e86d9
SHA256: 223d59028bc2dd8be3ffd3dba3ed7d16145692e0a826dd8313ab30d23845af61

Package: libmercator-0.2-dev
Source: mercator
Version: 0.2.7-3
Installed-Size: 200
Maintainer: Michael Koch <konqueror@gmx.de>
Architecture: amd64
Depends: libmercator-0.2-6 (= 0.2.7-3), libwfmath-0.3-dev
Description: WorldForge terrain library - development files
 Mercator is primarily aimed at terrain for multiplayer online games and
 forms one of the WorldForge core libraries.
 It is intended to be used as a terrain library on the client, while a
 subset of features are useful on the server.
 .
 Mercator is designed in such a way that individual tiles can be
 generated on-the-fly from a very small source data set.  Each tile uses
 a fast deterministic random number generation to ensure that identical
 results are produced "anytime, anywhere".  This enables transmission of
 terrain across low bandwidth links as part of the standard data stream,
 or server side collision detection with the same terrain that the
 player sees.
 .
 The use of tiles means that there is inherently a large degree of gross
 control of the shape of the terrain.  Finer control is implemented by
 allowing geometric modifications - for example, a polygonal area might
 be flattened, or a crater could be applied.
Homepage: http://www.worldforge.org/
Tag: devel::library, qa::low-popcon, role::devel-lib
Section: libdevel
Priority: optional
Filename: pool/main/m/mercator/libmercator-0.2-dev_0.2.7-3_amd64.deb
Size: 35452
MD5sum: 186a0fce4929e2609efc63e49ca2d42f
SHA1: 43997e7589af8eb20933e60f1cce6f27f6b2c46f
SHA256: 82d97cbb076fd20afd36de0d8b499fad6467a03cd6c89eede1beee151ce8611c

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: mercator -- WorldForge terrain library' from 'O: mercator -- WorldForge terrain library' Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Fri, 06 Jan 2012 20:00:10 GMT) Full text and rfc822 format available.

Owner recorded as stephen.webb@bregmasoft.ca. Request was from "Stephen M. Webb" <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Fri, 06 Jan 2012 20:00:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 653975: 658291 Request was from Stephen M. Webb <stephen.webb@bregmasoft.ca> to control@bugs.debian.org. (Wed, 01 Feb 2012 21:06:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 28 Feb 2012 19:06:10 GMT) Full text and rfc822 format available.

Reply sent to stephen.webb@bregmasoft.ca (Stephen M. Webb):
You have taken responsibility. (Sat, 03 Mar 2012 16:51:15 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 16:51:15 GMT) Full text and rfc822 format available.

Message #18 received at 653975-close@bugs.debian.org (full text, mbox):

From: stephen.webb@bregmasoft.ca (Stephen M. Webb)
To: 653975-close@bugs.debian.org
Subject: Bug#653975: fixed in mercator 0.3.0-1
Date: Sat, 03 Mar 2012 16:49:23 +0000
Source: mercator
Source-Version: 0.3.0-1

We believe that the bug you reported is fixed in the latest version of
mercator, which is due to be installed in the Debian FTP archive:

libmercator-0.3-1-dbg_0.3.0-1_amd64.deb
  to main/m/mercator/libmercator-0.3-1-dbg_0.3.0-1_amd64.deb
libmercator-0.3-1_0.3.0-1_amd64.deb
  to main/m/mercator/libmercator-0.3-1_0.3.0-1_amd64.deb
libmercator-0.3-dev_0.3.0-1_amd64.deb
  to main/m/mercator/libmercator-0.3-dev_0.3.0-1_amd64.deb
mercator_0.3.0-1.debian.tar.gz
  to main/m/mercator/mercator_0.3.0-1.debian.tar.gz
mercator_0.3.0-1.dsc
  to main/m/mercator/mercator_0.3.0-1.dsc
mercator_0.3.0.orig.tar.bz2
  to main/m/mercator/mercator_0.3.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 653975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen M. Webb <stephen.webb@bregmasoft.ca> (supplier of updated mercator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 26 Feb 2012 11:52:29 -0500
Source: mercator
Binary: libmercator-0.3-1 libmercator-0.3-dev libmercator-0.3-1-dbg
Architecture: amd64 source
Version: 0.3.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Closes: 653975
Description: 
 libmercator-0.3-1 - WorldForge terrain library
 libmercator-0.3-1-dbg - WorldForge terrain library - debugging symbols
 libmercator-0.3-dev - WorldForge terrain library - development files
Changes: 
 mercator (0.3.0-1) unstable; urgency=low
 .
   * new upstream release
   * new maintainer: Debian games team (closes: #653975)
     - added myself as uploader
   * changed binary package names for SONAME bump
   * updated to 3.0 (quilt) source format
   * updated Standards-Version to 3.9.3 (no changes required)
   * debian/control: added Vcs- fields
   * added symbols tracking
   * debian/copyright: convert to DEP-5 format
   * converted to use the dh build sequencer
   * changed package compression from gz to xz
Checksums-Sha1: 
 98f432563f95cc5915cec6919c2278aefe532738 2101 mercator_0.3.0-1.dsc
 3b305b24071697d8443918d1aac86bd3bb38a41e 329727 mercator_0.3.0.orig.tar.bz2
 acd41ba8ab60b3e9309315918ad7bc8e477051c0 8090 mercator_0.3.0-1.debian.tar.gz
 f1a3c35b65596de4f535697b285559cd98c006f0 77416 libmercator-0.3-1_0.3.0-1_amd64.deb
 bdf072b5f632726beb0b05c6244648c2250b8e35 30528 libmercator-0.3-dev_0.3.0-1_amd64.deb
 f524f5ec268c921624c643384d3c92d82dda420f 601444 libmercator-0.3-1-dbg_0.3.0-1_amd64.deb
Checksums-Sha256: 
 3d6dd23347a52b07cf13105fd4af75d6953572c56ff335bc78af2e52c2f06ab6 2101 mercator_0.3.0-1.dsc
 8ff57df5364befce6191c77ce1587696f2f96d65553be23bf9cb01b65cda05ff 329727 mercator_0.3.0.orig.tar.bz2
 5e6ea0f860765b8d0bf68054af2ed7cc2f08502b56ea789c65d4558fc4185bc4 8090 mercator_0.3.0-1.debian.tar.gz
 cb964523947a3dd43fd3250ab3883405f2bb4919fc7c5acf35483149865190c6 77416 libmercator-0.3-1_0.3.0-1_amd64.deb
 795b25c7c4a2e993dc6e4ab4ab7ececcee60d9838e137f674734206b191a815b 30528 libmercator-0.3-dev_0.3.0-1_amd64.deb
 52a303f17284b50d69f72dfc077b14f367300b6b699242f67c76b22fe55fb131 601444 libmercator-0.3-1-dbg_0.3.0-1_amd64.deb
Files: 
 dfd99c288436fe698792e01d47abf065 2101 libs optional mercator_0.3.0-1.dsc
 2c92d64e35b0c160633b1c5cfb955179 329727 libs optional mercator_0.3.0.orig.tar.bz2
 83d56c34c177d76350807ae2b1e5658c 8090 libs optional mercator_0.3.0-1.debian.tar.gz
 1d9fc5a14a68f40a411e815ee9af0195 77416 libs optional libmercator-0.3-1_0.3.0-1_amd64.deb
 cbf73e9507c25e586f7b7cb5e3bde86c 30528 libdevel optional libmercator-0.3-dev_0.3.0-1_amd64.deb
 4645e93671f37dbe4b0ec44fd1830fbe 601444 debug extra libmercator-0.3-1-dbg_0.3.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPTRsTAAoJEIATJTTdNH3If8sQAKrm7N2/7FhV0dXQ+Q6aruz+
kQk5rRaAvVFHrCy6ZrFwrvBTCQ2y7UhXgB+06HhftIBOvvHVPn3bWhrRy0TyTvYp
poLMBv8XdusLaGINfEDWm8oUwBcHcUQ1EFYVsRjKJuNiOsgIQy7hwm6ccHPMwsZ5
iA7/eVxn0olgG2BvoQTOT4ymy1XkjiEsofmSNDK4uZNuUM5vQBHXpCpmTN3063nw
6E8s2VZbPVoGXsMgKz+jYAVQ8d7Hupe6ms6cGigiI156FXc1t6oipQQgVhhsXGQa
xcOL6+TXivW9D/ZjNjSqb5/QsaDdjr0+45kDelFIMOGAEOOCrNlj33p7DH9vd9hd
qCLo/h/hRDn/+mLbyK85CD+lpu47H+lvxwBRNdbW2FdBTo9s1BMozAByF3vcTdy8
iEAFn8Jt1WPiEQ6G7YPN6+54CBvWwmCe11Q652D5BgdM8tzJM6AMf21zdHmR9cyf
nyJDSpD8v0nS0Rt4uqbHo3dsVuJisF20v/zE5xiJ+ol4uTM+HGj9sCj/gULNCv2F
ckcGzJ8XmrCKiidb4BwBj+fYCcbxcwp2dzAw9nuLuSkdVI5et/s2qH/2t2wCREWd
IdDQ6pjAXwWctWs0nmnsQ3LdPLB+PnuJ/TZQKhXDAznN28SvXH69ICb4Qs7AG7Ru
qhWihJqxCU3ttO8tgDdo
=BnVL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:48:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:53:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.